"
I am BaselineOfBrea, I load the code for the Brea project.
I am a BaselineOf.
"
Class {
	#name : #BaselineOfBrea,
	#superclass : #BaselineOf,
	#category : #BaselineOfBrea
}

{ #category : #baselines }
BaselineOfBrea >> baseline: spec [
	<baseline>

	spec
		for: #common
		do: [ 
			"Dependencies"
			self miniDocs: spec.
			spec 
				baseline: 'TaskIt' with: [ spec repository: 'github://pharo-contributions/taskit:v1.0' ]
					"[ spec repository: 'github://noha/taskit:add-all-future' ]" 
					 "Disabling Noha's Fork to make Brea installable.".

			"Packages"
			spec package: 'Brea' with: [ spec requires:  #('MiniDocs' 'TaskIt') ].
		]
]

{ #category : #baselines }
BaselineOfBrea >> miniDocs: spec [ 
	| repo |
	repo := ExoRepo new
   		repository: 'https://code.tupale.co/Offray/MiniDocs'.
	repo
		onConflict: [ :ex | ex useLoaded ];
    	onUpgrade: [ :ex | ex useLoaded ];
    	onDowngrade: [ :ex | ex useLoaded ];
    	onWarningLog; 
		load.
	spec baseline: 'MiniDocs' with: [ spec repository: 'gitlocal://', repo local fullName ]
]
